Neurotic and Probably Misinformed

    es6-promises

    1.0.10 • Public • Published

    ES6 Promise polyfill Build Status

    NPM

    To use the Promise polyfill, just drop two JavaScript files into your page:

    <script src="setimmediate.js"></script>
    <script src="promise.js"></script>

    or load as the Node.js module:

    var Promise = require('es6-promises');

    Download the latest Promise polyfill from GitHub.

    npm

    npm install es6-promises
    

    Bower

    bower install promises
    

    Dependencies

    The Promise polyfill requieres setImmediate (msdn, nodejs, polyfill).

    Tests

    Promises/A+ logo Promises/A+ compliant

    git clone https://github.com/Octane/Promise.git
    cd Promise
    npm install
    npm test
    

    License

    The Promise polyfill is released under the MIT license.

    Install

    npm i es6-promises

    DownloadsWeekly Downloads

    577

    Version

    1.0.10

    License

    MIT

    Last publish

    Collaborators

    • octane